summaryrefslogtreecommitdiffstats
path: root/Doc/tools
diff options
context:
space:
mode:
authorFred Drake <fdrake@acm.org>1998-10-21 14:26:26 (GMT)
committerFred Drake <fdrake@acm.org>1998-10-21 14:26:26 (GMT)
commitd29cf379b9ba8b0677cbfdf84cdaf866cfded692 (patch)
treef120060e466112f1131061c208e5a6978bd84438 /Doc/tools
parent260400f3f5e13aa005f5cf16efcd063a59f282d6 (diff)
downloadcpython-d29cf379b9ba8b0677cbfdf84cdaf866cfded692.zip
cpython-d29cf379b9ba8b0677cbfdf84cdaf866cfded692.tar.gz
cpython-d29cf379b9ba8b0677cbfdf84cdaf866cfded692.tar.bz2
Added --tools option, to package only the framework (no documents).
Diffstat (limited to 'Doc/tools')
-rwxr-xr-xDoc/tools/mktarball.sh24
1 files changed, 21 insertions, 3 deletions
diff --git a/Doc/tools/mktarball.sh b/Doc/tools/mktarball.sh
index 6d93206..4d5ad79 100755
--- a/Doc/tools/mktarball.sh
+++ b/Doc/tools/mktarball.sh
@@ -5,13 +5,22 @@
# from the Makefile or someplace.
#
# usage:
-# ./mktarball.sh release [tag]
+# ./mktarball.sh [-t|--tools] release [tag]
+#
+# with -t|--tools: doesn't include the documents, only the framework
#
# without [tag]: generate from the current version that's checked in
# (*NOT* what's in the current directory!)
#
# with [tag]: generate from the named tag
+# VERSION='$Revision$'
+
+if [ "$1" = "-t" -o "$1" = "--tools" ] ; then
+ shift 1
+ TOOLS_ONLY=true
+fi
+
RELEASE=$1; shift
TEMPDIR=tmp.$$
@@ -33,9 +42,18 @@ rm -f `find $TEMPDIR -name .cvsignore -print`
rm -f $TEMPDIR/Python-$RELEASE/Doc/ref/ref.pdf
rm -f $TEMPDIR/Python-$RELEASE/Doc/ref/ref.ps
-cd $TEMPDIR
-(tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tgz) || exit $?
+if [ "$TOOLS_ONLY" ] ; then
+ cd $TEMPDIR/Python-$RELEASE/Doc
+ # remove the actual documents
+ rm -rf api ext lib mac ref tut
+ cd ..
+ (tar cf - Doc | gzip -9 >$MYDIR/tools-$RELEASE.tgz) || exit $?
+else
+ cd $TEMPDIR
+
+ (tar cf - Python-$RELEASE | gzip -9 >$MYDIR/latex-$RELEASE.tgz) || exit $?
+fi
cd $MYDIR
rm -r $TEMPDIR || exit $?